<div class="alert alert-danger" role="alert" *ngIf="hasFailed">
  Invalid email and password.
</div>
<div class="sign-in-wrapper wrapper">
  <form [formGroup]="frm">
    <div class="form-group">
      <label for="email">Email address</label>
      <input type="text" id="email" formControlName="email" placeholder="Your Email" value="setiady.mulya@gmail.com" class='form-control' />
      <small class="form-text text-muted" *ngIf="(frm.get('email').invalid && frm.get('email').touched) || showInputErrors">
        <em *ngIf="frm.get('email').hasError('required')">
          Please enter your email
        </em>
      </small>
    </div>
    <div class="form-group">
      <label for="password">Password</label>
      <input type="password" id="password" formControlName="password" placeholder="Your password" value="aaa123" class='form-control' />
      <small class="form-text text-muted" 
             *ngIf="(frm.get('password').invalid && frm.get('password').touched) || showInputErrors"
      >
        <em *ngIf="frm.get('password').hasError('required')">
          Please enter your password
        </em>
      </small>
    </div>
    <button (click)="doSignIn()" [disabled]="isBusy" class="btn btn-success">
      <ng-template [ngIf]="!isBusy">Sign in</ng-template>
      <ng-template [ngIf]="isBusy">Signing in, please wait...</ng-template>
    </button> | <a class="navbar-brand" routerLink="/sign-up">Sign up</a>
  </form>
</div>